List Billing Transactions
Top-ups, credit packages, promotions and other changes to your balance, newest first.
List the transactions that changed your balance, newest first.
GET /v1/account/billing_transactionsQuery parameters
transaction_typestringoptionalOnly return transactions of this type.
Allowed values:
topuppackagepromotionperkrefundadjustmentusagestarting_atstringoptionalOnly return transactions at or after this time (RFC 3339).
ending_atstringoptionalOnly return transactions before this time (RFC 3339).
limitintegeroptionalDefault 20Items per page, 1 to 1000.
after_idstringoptionalReturn the page after this transaction ID (older transactions).
before_idstringoptionalReturn the page before this transaction ID (newer transactions).
Response
dataBillingTransaction[]optionalhas_morebooleanoptionaltrue when there are more transactions beyond this page.
first_idstring | nulloptionalID of the first transaction on this page.
last_idstring | nulloptionalID of the last transaction on this page.
Errors
| Status | Reason |
|---|---|
400 | A filter value is invalid, limit is out of range, both after_id and before_id are set, or the cursor ID doesn't exist. |